# Get Crypto Deposit Address

This API allows you to retrieve the balances of cryptocurrency assets in a user's account.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Method**: `GET`
* **Request Path**: `/v2/assets/depositAddress`
* **Authorization Required**: Yes

#### Query Parameters

* **tokenId**: (String) - ID of the token
* **chainType** (String) - Type of the blockchain (default: "")
* **merchantId**: (int) The ID of the merchant.

| tokenId | ChainType | Chain Full Name  |
| ------- | --------- | ---------------- |
| USDT    | TRC20     | Tron             |
| USDT    | ERC20     | Ethereum         |
| USDT    | BEP20     | BNB Smart Chain  |
| USDT    | POL       | Polygon          |
| USDT    | SPL20     | Solana Mainnet   |
| USDC    | ERC20     | Ethereum         |
| USDC    | POL       | Polygon          |
| USDC    | SPL20     | Solana Mainnet   |
| BTC     | BTC       | Bitcoin          |
| COPM    | POL       | Polygon (POS)    |
| BRL1    | POL       | Polygon (POS)    |
| MXNB    | Arbitrum  | Arbitrum Network |
| MMXN    | ERC20     | Ethereum (ERC20) |
| MMXN    | TRC20     | TRON (TRC20)     |

#### Response Structure

The response will include the following fields:

```json
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "allowDeposit": false, (boolean: whether the deposit is allowed)
    "address": "", (string: address of the deposit)
    "addressExt": "", (string: address tag)
    "minQuantity": "", (string: minimum amount of the deposit)
    "needAddressTag": false, (boolean: whether the address tag is required)
    "requiredConfirmNum": 0, (number: required confirmation number)
    "canWithdrawConfirmNum": 0, (number: maximum confirmation number)
    "tokenType": "" (string: type of the token)
  }
}
```

#### Example Response

tokenId: USDT\
chainType: TRC20

```json
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "allowDeposit": true,
    "address": "TT5PSvrhxXjw2NZNu1S8L5ybwYVxCkQRKC",
    "addressExt": "",
    "minQuantity": "5",
    "needAddressTag": false,
    "requiredConfirmNum": 12,
    "canWithdrawConfirmNum": 20,
    "tokenType": "TRX_TOKEN"
  }
}
```

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.velafi.com/api-reference/merchant/get-crypto-deposit-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
